1.2

1.2

get /v1/ports/{port_id}

Description

Show port.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathport_id
required
Port ID
Example : 023c57b1-4f11-4836-8933-8d085e061492
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPortShowResponseV1Dot2
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/ports/{port_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Example HTTP response

Response 200

{
    "port": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "attached_resource_id": "9387e8f51de04a03994de8a9c3524935",
        "attached_resource_type": "",
        "created_at": "2026-03-25T15:15:18.362Z",
        "description": "Port Description",
        "fixed_ip_address": "192.168.1.100",
        "id": "023c57b1-4f11-4836-8933-8d085e061492",
        "mac_address": "fa:16:3e:00:00:01",
        "modified_at": "2026-03-25T15:15:18.362Z",
        "name": "portName",
        "security_groups": [
            {
                "id": "02fb574c-f30f-40e1-9f43-4d1572dee5bd",
                "name": "sgName"
            }
        ],
        "state": "",
        "subnet_id": "023c57b14f11483689338d085e061492",
        "subnet_name": "subnetName",
        "virtual_ip_addresses": [
            ""
        ],
        "vpc_id": "071bc63b767444c9afaab1c972d302d5",
        "vpc_name": "vpcName"
    }
}